# Drupal Plugin

## Supported Versions

- Drupal core 7.67
- Drupal commerce 7.x-1.15 or later
- PHP 5.6 or later

## Getting Started

### Installation Instructions

The instructions below will guide you through all the steps in installing the module.

1. Download archive the latest version of EPS for Drupal

2. Login to your Drupal administration profile and go to **Modules** page of your site.

3. Click **install new module**.

4. Select the archive of EPS module.

### First Time Setup

After installation, you are required to configure the module.

1. Login to your Drupal administration profile and go to
**Store settings** -> **Advanced store settings** -> **Payment methods**.

2. Find "Element Payment Solutions" in enabled payment method rules and click "edit".

3. Copy link **EPS Webhook** and send us.

4. Now click "edit" button in Actions table of payment module.

5. Choose 'Test' or 'Live' **Mode**.

6. Choose **implementation**. Full integration in store or light API(iframe).

7. Enter your public and private key in fields **Public key** and **Private key**.
(If you choose Test mode, use "sandbox" keys, otherwise "live" keys)

8. Click **Save**.

9. Click **Save Changes**.
